gcc.cpp File Reference
`#include "test/int.hh"`

Go to the source code of this file.

## Classes

class | Test::Int::GCC::IntAllMinMax
| Test for integer cardinality with min and max for all variables More...
class | Test::Int::GCC::IntAllMinMaxDef
| Test for integer cardinality with min and max for all variables More...
class | Test::Int::GCC::IntAllMax
| Test for integer cardinality with max cardinality for all variables More...
class | Test::Int::GCC::IntSome< hole >
| Test for integer cardinality for some variables More...
class | Test::Int::GCC::VarAll
| Test for variable cardinality for all cardinality values More...
class | Test::Int::GCC::VarSome
| Test for variable cardinality for some cardinality values More...
class | Test::Int::GCC::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::GCC
| Tests for counting constraints (global cardinality)

## Variables

Create | Test::Int::GCC::c